<?php

use App\Http\Controllers\AuthController;
use App\Http\Controllers\CrudController;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\JugadorController;
use App\Http\Controllers\inicio;
use App\Http\Controllers\Controller;
use App\Http\Controllers\SerieController;
use Illuminate\Container\Attributes\Auth;

// Route::get('/', function () {
//     return view('auth.login');
// });

// Route::get('inicio',[inicioController::class,'index'])->name('inicio.index');

//Route::get('inicio',[Controller::class,'index'])->name('inicio.index');


Route::get('/', function () {
    return view('inicio');
})->middleware(['auth']);







Route::get('/',[AuthController::class,'showLoginForm'])->name('login');
Route::get('/login',[AuthController::class,'login'])->name('login');
Route::post('/logout',[AuthController::class,'logout'])->name('logout');

Route::get('inicio',[JugadorController::class,'index'])->name('inicio.index')->middleware(['auth']);
route::get('mantenedor/caupolican',[CrudController::class,'caupolican'])->name('mantenedor.caupolican')->middleware(['auth']);
route::get('mantenedor/molinos',[CrudController::class,'molinos'])->name('mantenedor.molinos')->middleware(['auth']);
route::get('mantenedor/iberia',[CrudController::class,'iberia'])->name('mantenedor.iberia')->middleware(['auth']);
route::get('mantenedor/condor',[CrudController::class,'condor'])->name('mantenedor.condor')->middleware(['auth']);
route::get('mantenedor/ohiggins',[CrudController::class,'ohiggins'])->name('mantenedor.ohiggins')->middleware(['auth']);
route::get('mantenedor/balneario',[CrudController::class,'balneario'])->name('mantenedor.balneario')->middleware(['auth']);
route::get('mantenedor/pellines',[CrudController::class,'pellines'])->name('mantenedor.pellines')->middleware(['auth']);
route::get('mantenedor/milan',[CrudController::class,'milan'])->name('mantenedor.milan')->middleware(['auth']);
route::get('mantenedor/wanders',[CrudController::class,'wanders'])->name('mantenedor.wanders')->middleware(['auth']);


Route::get('mantenedor/caupolican/serie',[SerieController::class,'caupolican'])->name('serie.caupolican')->middleware(['auth']);
Route::get('mantenedor/molinos/serie',[SerieController::class,'molinos'])->name('serie.molinos')->middleware(['auth']);
Route::get('mantenedor/iberia/serie',[SerieController::class,'iberia'])->name('serie.iberia')->middleware(['auth']);
Route::get('mantenedor/condor/serie',[SerieController::class,'condor'])->name('serie.condor')->middleware(['auth']);
Route::get('mantenedor/ohiggins/serie',[SerieController::class,'ohiggins'])->name('serie.ohiggins')->middleware(['auth']);
Route::get('mantenedor/balneario/serie',[SerieController::class,'balneario'])->name('serie.balneario')->middleware(['auth']);
Route::get('mantenedor/pellines/serie',[SerieController::class,'pellines'])->name('serie.pellines')->middleware(['auth']);
Route::get('mantenedor/milan/serie',[SerieController::class,'milan'])->name('serie.milan')->middleware(['auth']);
Route::get('mantenedor/wanders/serie',[SerieController::class,'wanders'])->name('serie.wanders')->middleware(['auth']);






// Route::get('mantenedor',[CrudController::class,'index'])->name('mantenedor.index');
// Route::get('mantenedor',[CrudController::class,'Show'])->name('mantenedor.show');

